Subject: Re: meeting in San Francisco? (v3 keys // IDEA)

From: [email-masked]
Date: Fri, 7 Mar 2003 08:38:49 -0800

On Thu, 06 Mar 2003 14:37:08 -0800 Jon Callas <[email-masked]> wrote:
>
>On 3/6/03 2:10 AM, "Werner Koch" <[email-masked]> wrote:
>
>> I don't think that it is really required to deprecate v3 keys. 
..
>> The real problem is the continued use of IDEA, especially to protect
>> secret keys.  A strong word that the use of IDEA is deprecated 
>would
>> be helpful.
>
>It is my opinion that deprecating IDEA (which I would be happy to 
>do) is
>about the same as deprecating V3 keys.
>
>The reason I say that is that the only reason for a V3 key is to
>interoperate with PGP 2.6. PGP 2.6 has only IDEA.

many remailers use Disasty's multi version of pgp 2.6,
which accepts all algorithms and hashes,
but still requires a v3 key for the encryption,
and is quite compatible with GnuPG, even without IDEA,
except that, as WK says, someone importing a v3 key into GnuPG still needs IDEA to unlock the secret key.

Disastry's multi version of 2.6, allows v3 keys to be generated easily,
that don't require IDEA 

'deprecation'of IDEA, to point out that there are other 'advanced and better / patent-free' ways to do things, but still allow v3 keys to be used, seems more tolerant, and allows compatibility, even if inconvenient.

with Respect,

vedaal

Concerned about your privacy? Follow this link to get
FREE encrypted email: https://www.hushmail.com/?l=2 

Big $$$ to be made with the HushMail Affiliate Program: 
https://www.hushmail.com/about.php?subloc=affiliate&l=427